org.apache.lucene.analysis.payloads

## Class IntegerEncoder

- java.lang.Object
- - org.apache.lucene.analysis.payloads.AbstractEncoder
  - - org.apache.lucene.analysis.payloads.IntegerEncoder

- All Implemented Interfaces:
    PayloadEncoder

      public class IntegerEncoder
      extends AbstractEncoder
      implements PayloadEncoder

  Encode a character array Integer as a `Payload`.

  See `PayloadHelper.encodeInt(int, byte[], int)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerEncoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Payload` | `encode(char[] buffer, int offset, int length)` Convert a char array to a `Payload`

    - ### Methods inherited from class org.apache.lucene.analysis.payloads.AbstractEncoder

      `encode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.analysis.payloads.PayloadEncoder

      `encode`

- - ### Constructor Detail

    - #### IntegerEncoder

          public IntegerEncoder()

  - ### Method Detail

    - #### encode

          public Payload encode(char[] buffer,
                                int offset,
                                int length)

      Description copied from interface: `PayloadEncoder`
      Convert a char array to a `Payload`
      Specified by:
        `encode` in interface `PayloadEncoder`
      Returns:
        encoded `Payload`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.